Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.util
Class HexBin

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.util.HexBin

public final class HexBin
extends java.lang.Object

format validation This class encodes/decodes hexadecimal data

Version:
  $Id: HexBin.java,v 1.8 2003/05/08 20:11:55 elena Exp $
Author:
  Jeffrey Rodriguez

Constructor Summary
`HexBin()`

Method Summary
`static byte[]` | `decode(java.lang.String encoded)` Decode hex string to a byte array
`static java.lang.String` | `encode(byte[] binaryData)` Encode a byte array to hex string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBin

    public HexBin()

Method Detail

### encode

    public static java.lang.String encode(byte[] binaryData)

  Encode a byte array to hex string
  Parameters:
    `binaryData` - array of byte to encode
  Returns:
    return encoded string

### decode

    public static byte[] decode(java.lang.String encoded)

  Decode hex string to a byte array
  Parameters:
    `binaryData` - encoded string
  Returns:
    return array of byte to encode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.